libsasl2-modules-sql_2.1.26.dfsg1-14ubuntu0.1_i386.deb


Advertisement

Description

libsasl2-modules-sql - Cyrus SASL - pluggable authentication modules (SQL)

Property Value
Distribution Ubuntu 16.04 LTS (Xenial Xerus)
Repository Ubuntu Updates Main i386
Package name libsasl2-modules-sql
Package version 2.1.26.dfsg1
Package release 14ubuntu0.1
Package architecture i386
Package type deb
Installed size 64 B
Download size 14.29 KB
Official Mirror archive.ubuntu.com
This is the Cyrus SASL API implementation, version 2.1. See package
libsasl2-2 and RFC 2222 for more information.
This package provides the SQL plugin, which supports MySQL, PostgreSQL
and SQLite.

Alternatives

Package Version Architecture Repository
libsasl2-modules-sql_2.1.26.dfsg1-14ubuntu0.1_amd64.deb 2.1.26.dfsg1 amd64 Ubuntu Updates Main
libsasl2-modules-sql_2.1.26.dfsg1-14build1_amd64.deb 2.1.26.dfsg1 amd64 Ubuntu Main
libsasl2-modules-sql_2.1.26.dfsg1-14build1_i386.deb 2.1.26.dfsg1 i386 Ubuntu Main
libsasl2-modules-sql - - -

Requires

Name Value
libc6 >= 2.4
libmysqlclient20 >= 5.7.11
libpq5 -
libsasl2-modules = 2.1.26.dfsg1-14ubuntu0.1
libsqlite3-0 >= 3.5.9

Download

Type URL
Binary Package libsasl2-modules-sql_2.1.26.dfsg1-14ubuntu0.1_i386.deb
Source Package cyrus-sasl2

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install libsasl2-modules-sql deb package:
    # sudo apt-get install libsasl2-modules-sql

Changelog

2018-10-24 - Andreas Hasenack <andreas@canonical.com>
cyrus-sasl2 (2.1.26.dfsg1-14ubuntu0.1) xenial; urgency=medium
* d/p/dont_hang_when_imap_closes.patch: Don't hang when IMAP
server closes connection. (LP: #997217)
2016-04-05 - Robie Basak <robie.basak@ubuntu.com>
cyrus-sasl2 (2.1.26.dfsg1-14build1) xenial; urgency=medium
* Rebuild against libmysqlclient20.
2015-09-23 - Ondřej Surý <ondrej@debian.org>
cyrus-sasl2 (2.1.26.dfsg1-14) unstable; urgency=medium
* [CVE-2013-4122]: Handle NULL returns from glibc 2.17+ crypt()
(Closes: #784112)
2015-03-09 - Ondřej Surý <ondrej@debian.org>
cyrus-sasl2 (2.1.26.dfsg1-13) unstable; urgency=medium
* Shutdown down the write side of the socket and wait for the client to
close the connection (0 byte read) before closing the server side
(Closes: #777349) (Courtesy of Kees Cook)
2014-10-17 - Ondřej Surý <ondrej@debian.org>
cyrus-sasl2 (2.1.26.dfsg1-12) unstable; urgency=medium
* Add patch to fix login to dovecot imapd 2.x (Closes: #715040)
2014-07-11 - Ondřej Surý <ondrej@debian.org>
cyrus-sasl2 (2.1.26.dfsg1-11) unstable; urgency=medium
* Create libsasl2.pc from Makefile for proper substitions
(Closes: #754066)
2014-06-30 - Ondřej Surý <ondrej@debian.org>
cyrus-sasl2 (2.1.26.dfsg1-10) unstable; urgency=low
[ Roberto C. Sanchez ]
* Actually install the logcheck snippet in the package (Closes: #732771)
* Build-Depend on 'automake (>=1:1.14)', as automake in wheezy no longer
builds this package
[ Ondřej Surý ]
* Install libsasl2.pc into libsasl2-dev package (Closes: #752907)
2014-03-02 - Roberto C. Sanchez <roberto@connexer.com>
cyrus-sasl2 (2.1.26.dfsg1-9) unstable; urgency=high
* saslauthd: refuse to start if debug option (-d) is set in options
passed to init script (Closes: #558014)
* Fix FTBFS with clang (Closes: #739561)
* libsasl2-2: Restore empty /usr/lib/sasl2 directory (Closes: #739601)
2014-02-11 - Roberto C. Sanchez <roberto@connexer.com>
cyrus-sasl2 (2.1.26.dfsg1-8) unstable; urgency=low
* Fix buginess that results in the keytab configuration option not
working on MIT Kerberos (Closes: #651308).
* Remove obsolete deversion from cyrus-sasl2-heimdal-dbg (Closes: #664729)
* Release server credentials when longer needed to prevent running out of
file descriptors (Closes: #722569).
* Incorporate new watch file.
* Update to Standards-Version 3.9.5 (no changes).
* Make saslauthd init script stop in run levels 0 and 6 (Closes: #608351).
* Add logcheck snippet to suppress "DIGEST-MD5 common mech free" messages
(Closes: #732771, #631932).
* Make DEB_BUILD_OPTIONS no-ldap, no-gssapi, no-sql actually work,
thanks to Daniel Schepler for the patch (Closes: #724513).
* Rename libsasl2-3 back to libsasl2-2, ABI breakage has already been
handle previously and SONAME bump is not necessary.
* Include sys/types.h in sasl.h (Closes: #719165).
* Fix transposition of realm and service in debug log (Closes: #732373).
* Add Polish debconf translation, thanks to Michał Kułach (Closes: #661249).
* Changes to make lintian happy:
+ Use canonical URIs for Vcs-Browser and Vcs-Git control fields.
+ Make -dbg packages "Multi-Arch: same" so they are co-installable
+ Re-format NEWS file to get rid of changelog-style formatting
2013-10-06 - Adam Conrad <adconrad@0c3.net>
cyrus-sasl2 (2.1.26.dfsg1-7) experimental; urgency=low
* Add libsasl2-modules-db to the include/exclude lists in debian/rules.

See Also

Package Description
libsasl2-modules_2.1.26.dfsg1-14ubuntu0.1_i386.deb Cyrus SASL - pluggable authentication modules
libseccomp-dev_2.3.1-2.1ubuntu2~16.04.1_i386.deb high level interface to Linux seccomp filter (development files)
libseccomp2_2.3.1-2.1ubuntu2~16.04.1_i386.deb high level interface to Linux seccomp filter
libservlet3.1-java-doc_8.0.32-1ubuntu1.8_all.deb Servlet 3.1, JSP 2.3, EL 3.0 and WebSocket 1.0 Java API documentation
libservlet3.1-java_8.0.32-1ubuntu1.8_all.deb Servlet 3.1, JSP 2.3, EL 3.0 and WebSocket 1.0 Java API classes
libsl0-heimdal_1.7~git20150920+dfsg-4ubuntu1.16.04.1_i386.deb Heimdal Kerberos - SL support library
libslang2-dev_2.3.0-2ubuntu1.1_i386.deb S-Lang programming library, development version
libslang2_2.3.0-2ubuntu1.1_i386.deb S-Lang programming library - runtime version
libslp-dev_1.2.1-11ubuntu0.16.04.1_i386.deb OpenSLP development files
libslp1_1.2.1-11ubuntu0.16.04.1_i386.deb OpenSLP shared library
libsmartcols-dev_2.27.1-6ubuntu3.6_i386.deb smart column output alignment library - headers and static libraries
libsmartcols1_2.27.1-6ubuntu3.6_i386.deb smart column output alignment library
libsmbclient-dev_4.3.11+dfsg-0ubuntu0.16.04.18_i386.deb development files for libsmbclient
libsmbclient_4.3.11+dfsg-0ubuntu0.16.04.18_i386.deb shared library for communication with SMB/CIFS servers
libsnapd-glib-dev_1.33-0ubuntu0.16.04.1_i386.deb GLib snapd library (development files)
Advertisement
Advertisement